
/* ¼ö°­½ÅÃ»(°áÁ¦ÆäÀÌÁö) Àü¿ë CSS */
.danka-wrap {width: 100%; max-width: calc(1200px + 120px); margin: 0 auto; padding: 0 60px; transition: all .3s ease-in-out;}
.danka-visual,
.filter-container,
.danka-wrap .sub-total,
.lecture-container {margin-left: 0; margin-right: 0;}

.danka-visual {border-color: var(--mexx-color-navy); border-radius: 0;}
.danka-visual .visual-title {background-color: var(--mexx-color-navy); width: 38%;}
.danka-visual .visual-title .sub-tit {color: var(--mexx-color-white); font-size: 16px; font-weight: 200;}
.danka-visual .visual-title .main-tit {color: var(--mexx-color-white); font-size: 28px; font-weight: 500;}
.danka-visual .visual-info {padding: 35px 80px;}
.danka-visual .visual-info li::before {width: 3px; height: 3px; background: var(--mexx-color-bluegray0);}
.danka-visual .visual-info li strong {color: var(--mexx-color-bluegray0); font-size: 16px; font-weight: 300;}
.danka-visual .visual-info li span {color: var(--mexx-color-navy); font-size: 16px; font-weight: 500;}

.filter-container {border-color: var(--mexx-color-bluegray4); border-radius: 0; margin-top: 50px; margin-bottom: 0; padding: 30px 48px; display: flex; flex-direction: column; gap: 14px;}
.filter-container .filter-row {margin: 0;}
.filter-container .label {color: var(--mexx-color-bluegray0); width: 70px; flex-shrink: 0; font-weight: 300; font-size: 16px;}
.filter-container .label:before {display: none;}
.lecture-container .result-danka .btns button[onclick^="openPlanPopup"],
.lecture-container .result-danka .btns button[onclick^="openDankaPlanModal"] {display: none;}
.lecture-container .result-danka .thumb-danka .img {display: none;}
.filter-inner .option-tag .input-box label {background: var(--mexx-color-bluegray5); border-color: var(--mexx-color-bluegray5); border-radius: 5px; font-size: 12px; display: flex; align-items: center; justify-content: center; height: 30px; padding-top: 0; padding-bottom: 0; color: var(--mexx-color-bluegray0);}
.filter-inner .option-tag .input-box input:checked + label {background: var(--mexx-color-navy); border-color: var(--mexx-color-navy); color: var(--mexx-color-white);}
.filter-container .sub-item strong {font-size: 12px;}

.danka-wrap .sub-total {margin-top: 50px; margin-bottom: 20px;}
.danka-wrap .sub-total .total-box {font-size: 16px; color: var(--mexx-color-navy); font-weight: 300;}
.danka-wrap .sub-total .total-box strong {color: var(--mexx-color-navy);}
.select-a .select-list {border-color: var(--mexx-color-navy); border-radius: 0;}
.filter-container .sub-category-bar {background: var(--mexx-color-bluegray5);}
.filter-container .sub-item strong {color: var(--mexx-color-bluegray0);}
.filter-container .sub-item.active strong {color: #051730;}

.chk-row input:checked + .chk-ui { background: var(--mexx-color-navy); border-color: var(--mexx-color-navy);}
.btn-d {background: var(--mexx-color-navy); border-color: var(--mexx-color-navy);}
.btn-a {background: var(--mexx-color-orange); border-color: var(--mexx-color-orange);}

.lecture-container {border-top-color: var(--mexx-color-bluegray4); border-bottom: solid 1px var(--mexx-color-bluegray4);}
.lecture-container .result-danka > li {margin-top: 0; padding: 34px 24px; border-bottom-color: var(--mexx-color-bluegray4);}
.lecture-container .result-danka > li:last-child {margin-bottom: 0;}
.lecture-container .result-danka .btns {gap: 0 10px;}
.lecture-container .result-danka .btns button {width: 100px; height: 44px; line-height: 44px; font-weight: 300; font-size: 14px;}
.lecture-container .result-danka .danka-teacher {margin-bottom: 0; flex-direction: column; align-items: center;}
.lecture-container .result-danka .danka-teacher p {font-weight: 400;font-size: 16px; color: var(--mexx-color-navy); font-weight: 600;}
.lecture-container .result-danka .danka-teacher p+p:before {display: none;}
.lecture-container .result-danka .danka-teacher .name {color: var(--mexx-color-bluegray0); font-weight: 300;}
.lecture-container .result-danka .title .tit-anchor {font-size: 18px; font-weight: 400; color: var(--mexx-color-navy);}
.lecture-container .result-danka .date {gap: 0 8px;}
.lecture-container .result-danka .date .day {color: var(--mexx-color-navy);}
.lecture-container .result-danka .date .time {color: var(--mexx-color-bluegray2);}
.lecture-container .result-danka .tags > li {border-color: var(--mexx-color-bluegray3); color: var(--mexx-color-bluegray1);}
.lecture-container .result-danka .tags .campus {border-color: var(--mexx-color-navy); color: var(--mexx-color-navy);}
.lecture-container .result-danka .tags .online {border-color: var(--mexx-color-orange); color: var(--mexx-color-orange);}

.bottom-pay-bar {background-color: var(--mexx-color-navy);}
.bottom-pay-bar .btn-pay {color: var(--mexx-color-navy);}

@media (max-width:1199px) {
    .danka-wrap {padding: 0 40px;}
    .danka-visual .visual-title {width: 100%; padding: 30px 20px;}
    .danka-visual .visual-title .sub-tit {font-size: 14px;}
    .danka-visual .visual-title .main-tit {font-size: 24px;}
    .danka-visual .visual-info {padding: 24px 20px;}
    .danka-visual .visual-info li strong {font-size: 14px; width: 70px;}
    .danka-visual .visual-info li span {font-size: 14px;}

    .filter-container {margin-top: 30px; padding: 26px 20px;}
    .filter-container .filter-list {flex-grow: 1; width: auto; min-width: 0;}
    .filter-container .label {width: 46px; font-size: 14px;}
    .filter-inner .option-tag .input-box label {font-size: 11px; height: 24px; padding: 0 10px;}
    
    .danka-wrap .sub-total {margin-top: 30px; margin-bottom: 10px;}
    .danka-wrap .sub-total .total-box {font-size: 14px;}
    .lecture-container .result-danka > li {padding: 24px 0;}
    .lecture-container .result-danka .btns {gap: 4px 0;}
    .lecture-container .result-danka .btns button {height: 36px; line-height: 36px;}
    .lecture-container .result-danka .danka-teacher p {font-size: 14px;}
    .lecture-container .result-danka .title .tit-anchor {font-size: 16px;}
    .lecture-container .result-danka .date {flex-direction: row; font-size: 12px;}
}

@media (max-width: 767px) {
    .danka-wrap {padding: 0 20px;}
    .filter-container {margin-left: -20px; margin-right: -20px;}
    .filter-inner .option-tag {flex-wrap: wrap; position: static; width: 100%; padding-right: 0;}

    .result-danka {margin: 0 -20px;}
    .lecture-container {margin-left: -20px; margin-right: -20px; padding-left: 20px; padding-right: 20px;}
    .lecture-container .result-danka .info {gap: 20px;}
    .lecture-container .result-danka .contents {gap: 0;}
    .lecture-container .result-danka .class-item {padding: 30px 20px;}
    .lecture-container .result-danka .title {margin-top: 12px; font-size: 12px;}
    .lecture-container .result-danka .mo-tags {margin-bottom: 0; font-size: 12px; color: var(--mexx-color-bluegray0); font-weight: 300; gap: 0 7px;}
    .lecture-container .result-danka .mo-tags li:not(:last-child)::after {margin-left: 8px;}
    .lecture-container .result-danka .mo-tags li:first-child {color: var(--mexx-color-navy); font-weight: 500;}
    .lecture-container .result-danka .title .tit-anchor {display: block; margin-top: 6px;}
    .lecture-container .result-danka .title .tit-anchor span {display: none;}
    .lecture-container .result-danka .btns {gap: 0 10px;}
    .lecture-container .result-danka .btns button {height: 44px; line-height: 44px;}
    .lecture-container .result-danka .date {margin-top: 6px;}
    .lecture-container .result-danka .date .day {font-size: 11px;}

    .filter-container .custom-dropdown .select-btn {font-size: 11px; border-radius: 5px;}
    .custom-dropdown .option {font-size: 11px;}
    .custom-dropdown .select-arrow {width: 6px; height: 6px;}
    .custom-dropdown.open .select-btn {border-color: var(--mexx-color-navy); border-bottom-color: transparent; border-radius: 5px 5px 0 0;}
    .custom-dropdown .select-list {border-color: var(--mexx-color-navy);}

}
